Groovy Documentation

## org.codehaus.groovy.ant
[Java] Class LoggingHelper

    java.lang.Object
      org.codehaus.groovy.ant.LoggingHelper

    public class LoggingHelper
    extends java.lang.Object

Helper to make logging from Ant easier.

Authors:
  Jason Dillon

Version:
  \$Id\$

Constructor Summary
`LoggingHelper(org.apache.tools.ant.Task owner)`

Method Summary
`void` | `debug(java.lang.String msg)`
`void` | `error(java.lang.String msg)`
`void` | `info(java.lang.String msg)`
`void` | `verbose(java.lang.String msg)`
`void` | `warn(java.lang.String msg)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### LoggingHelper

    public LoggingHelper(org.apache.tools.ant.Task owner)

Method Detail

### debug

    public void debug(java.lang.String msg)

### error

    public void error(java.lang.String msg)

### info

    public void info(java.lang.String msg)

### verbose

    public void verbose(java.lang.String msg)

### warn

    public void warn(java.lang.String msg)

Groovy Documentation